/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact : dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): Vivien Quema
 */

package org.objectweb.dream.channel;

import java.io.IOException;

/**
 * Interface used by Push ChannelIn components to exchange open socket.
 */
public interface OpenedSocket
{
  /** The default name for interface of this type */
  String ITF_NAME = "opened-socket";

  /**
   * Gives an opened socket.
   * 
   * @param socket a socket state
   * @throws IOException if an IO error occurs.
   * @throws InterruptedException if the execution of the method has been
   *           interrupted.
   */
  void openedSocket(SocketState socket) throws IOException,
      InterruptedException;
}