/**
 * @Contributors:<A HREF="mailto:sebastien.chassande@inrialpes.fr><b>S. Chassande-Barrioz</b></A>
 */

package org.objectweb.util.monolog.api;

/**
 * This class represents a logging level. A logging level allows to
 * classify events by their importance. This interface provides
 * methods to compare Level instances. A level has a name.
 */
public interface Level {

	/**
	 * This method returns true is the current level and the Level parameter are
	 * ordered.
	 */
	boolean isComparableWith(Level o);

	/**
	 * Compares this object with the specified object for order. Returns a 
	 * negative integer, zero, or a positive integer as this object is less than,
	 * equal to, or greater than the specified object.
	 */
	int compareTo(Level o)	;

	/**
	 * Returns the integer value which represents the level.
	 */
	int getIntValue();

	/**
	 * It retrieves the name of the Level
	 */
	String getName();

	/**
	 * It assigns the name of the Level
	 */
	void setName(String n);

}
